Get Statistics Configuration
curl --request GET \
--url https://api-dev.narrative.io/datasets/{dataset_id}/statistics-configuration \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-dev.narrative.io/datasets/{dataset_id}/statistics-configuration"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-dev.narrative.io/datasets/{dataset_id}/statistics-configuration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_id": 123,
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"created_by": 123,
"configuration": {
"defaults": {
"enabled_stats": [],
"stat_options": {
"histogram": {
"max_bins": 50,
"overflow": "none"
}
}
},
"refresh": {
"trigger": "cron",
"cron_expression": "<string>"
},
"dataset": {
"scope": {
"enabled_stats": [],
"stat_options": {
"histogram": {
"max_bins": 50,
"overflow": "none"
}
}
},
"fields": [
{
"field_name": "<string>",
"enabled_stats": [],
"stat_options": {
"histogram": {
"max_bins": 50,
"overflow": "none"
}
},
"self": {
"enabled_stats": [],
"stat_options": {
"histogram": {
"max_bins": 50,
"overflow": "none"
}
}
},
"properties": [
{
"path": "<string>",
"enabled_stats": [],
"stat_options": {
"histogram": {
"max_bins": 50,
"overflow": "none"
}
},
"self": {
"enabled_stats": [],
"stat_options": {
"histogram": {
"max_bins": 50,
"overflow": "none"
}
}
},
"properties": "<array>",
"items": {
"enabled_stats": [],
"stat_options": {
"histogram": {
"max_bins": 50,
"overflow": "none"
}
},
"self": {
"enabled_stats": [],
"stat_options": {
"histogram": {
"max_bins": 50,
"overflow": "none"
}
}
},
"properties": "<array>",
"items": "<unknown>"
}
}
],
"items": {
"enabled_stats": [],
"stat_options": {
"histogram": {
"max_bins": 50,
"overflow": "none"
}
},
"self": {
"enabled_stats": [],
"stat_options": {
"histogram": {
"max_bins": 50,
"overflow": "none"
}
}
},
"properties": "<array>",
"items": "<unknown>"
}
}
]
},
"rosetta_stone": {
"scope": {
"enabled_stats": [],
"stat_options": {
"histogram": {
"max_bins": 50,
"overflow": "none"
}
}
},
"fields": [
{
"attribute_name": "<string>",
"enabled_stats": [],
"stat_options": {
"histogram": {
"max_bins": 50,
"overflow": "none"
}
},
"self": {
"enabled_stats": [],
"stat_options": {
"histogram": {
"max_bins": 50,
"overflow": "none"
}
}
},
"properties": [
{
"path": "<string>",
"enabled_stats": [],
"stat_options": {
"histogram": {
"max_bins": 50,
"overflow": "none"
}
},
"self": {
"enabled_stats": [],
"stat_options": {
"histogram": {
"max_bins": 50,
"overflow": "none"
}
}
},
"properties": "<array>",
"items": {
"enabled_stats": [],
"stat_options": {
"histogram": {
"max_bins": 50,
"overflow": "none"
}
},
"self": {
"enabled_stats": [],
"stat_options": {
"histogram": {
"max_bins": 50,
"overflow": "none"
}
}
},
"properties": "<array>",
"items": "<unknown>"
}
}
],
"items": {
"enabled_stats": [],
"stat_options": {
"histogram": {
"max_bins": 50,
"overflow": "none"
}
},
"self": {
"enabled_stats": [],
"stat_options": {
"histogram": {
"max_bins": 50,
"overflow": "none"
}
}
},
"properties": "<array>",
"items": "<unknown>"
}
}
]
}
}
}Dataset Statistics
Get Statistics Configuration
Retrieve the current statistics configuration for a dataset.
GET
/
datasets
/
{dataset_id}
/
statistics-configuration
Get Statistics Configuration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier for a dataset.
Response
OK
Full statistics configuration entity with metadata. Returned by both PUT (create/update) and GET endpoints.
Unique identifier for this configuration version.
The dataset this configuration belongs to.
Monotonically increasing version number.
Timestamp when this configuration version was created.
User ID of the user who created this configuration version.
The full statistics configuration payload.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

